#!/bin/sh

. $LDIR/mplayer-lib.sh || exit 1

while read key
do
  case "$key" in
  POWER)	mplayer_quit;;
  TV/AV)	mplayer_play;;
  SLEEP)	mplayer_stop;;
  Right)	mplayer_seek 60 0;;
  Left)		mplayer_seek -60 0;;
  -/--)		mplayer_pause_still;;
  MENU)		mplayer_seek 10 0;;
  Q.VIEW)	mplayer_seek -10 0;;
  Up)		mplayer_volume +5;;
  Down)		mplayer_volume -5;;
  3)		mplayer_mute;;
  PSM)		mplayer_fullscreen;;
  UBB)		mplayer_window;;
  1)		mplayer_ratio 1.33333;;
  2)		mplayer_ratio 1.77778;;
  4)		mplayer_brightness_down;;
  5)		mplayer_brightness_up;;
  esac
done
mplayer_quit
