#!/bin/sh

. $LDIR/mplayer-lib.sh || exit 1

while read key
do
  [ "$key" = REPEAT ] && key="$previous"
  case "$key" in
  DISPLAY)	mplayer_rewind_stop;;
  STANDBY)	mplayer_quit;;
  PICTURE)	mplayer_play;;
  SLEEP)	mplayer_stop;;
  UP)		mplayer_seek 60 0;;
  DOWN)		mplayer_seek -60 0;;
  PREVIOUS)	mplayer_pause_still;;
  7)		mplayer_seek 10 0;;
  0)		mplayer_seek -10 0;;
  VOLUP)	mplayer_volume +5;;
  VOLDOWN)	mplayer_volume -5;;
  MUTE)		mplayer_mute;;
  9)		mplayer_fullscreen;;
  8)		mplayer_window;;
  1)		mplayer_ratio 1.33333;;
  4)		mplayer_ratio 1.77778;;
  6)		mplayer_brightness_down;;
  3)		mplayer_brightness_up;;
  9)		shutdown -p now;;
  esac
  previous="$key"
done
mplayer_quit
