#!/bin/sh

. $LDIR/mplayer-lib.sh || exit 1

while read key
do
  [ "$key" = REPEAT ] && key="$previous"
  case "$key" in
  OPERATE)	mplayer_rewind_stop;;
  EJECT)	mplayer_quit;;
  'PLAY(x2)')	mplayer_play;;
  STOP)		mplayer_stop;;
  FF)		mplayer_seek 60 0;;
  REW)		mplayer_seek -60 0;;
  P/STILL)	mplayer_pause_still;;
  Right)	mplayer_seek 10 0;;
  Left)		mplayer_seek -10 0;;
  Up)		mplayer_volume +5;;
  Down)		mplayer_volume -5;;
  i)		mplayer_mute;;
  AV)		mplayer_fullscreen;;
  CL/CT/REM)	mplayer_window;;
  VISS)		mplayer_ratio 1.33333;;
  C.LOCK)	mplayer_ratio 1.77778;;
  4)		mplayer_brightness_down;;
  5)		mplayer_brightness_up;;
  REC/QSR)	shutdown -p now;;
  esac
  previous="$key"
done
mplayer_quit
