/* $Id: ini.h,v 1.1.1.1.2.2 2006/04/19 15:47:06 eugen Exp $ */

#ifndef _INI_H
#define _INI_H

#ifndef INI_BUFFER
#define INI_BUFFER 65536
#endif

typedef struct _ie {
  struct _ie* next;
  char* name;
  char* value;
} ini_entry;

typedef struct _is {
  char* section_name;
  ini_entry* first;
  struct _is* next;
} ini_sections;

void free_inisections(ini_sections* current_sect);
ini_sections* parse_inifile(char* fname);
ini_sections* get_section(ini_sections* ini, char* name);
ini_entry* get_entry(ini_sections* sect, char* name);
char* get_parameter(ini_sections* ini, char* sname, char* pname, char* def);

#endif
