#!/bin/sh

. $LDIR/mplayer-lib.sh || exit 1

while read key
do
  case "$key" in
  POWER)	mplayer_rewind_stop;;
  EXIT)		mplayer_quit;;
  ENTER)	mplayer_play;;
  INFO)		mplayer_stop;;
  Plus)		mplayer_seek 60 0;;
  Minus)	mplayer_seek -60 0;;
  SLEEP)	mplayer_pause_still;;
  Right)	mplayer_seek 10 0;;
  Left)		mplayer_seek -10 0;;
  Up)		mplayer_volume +5;;
  Down)		mplayer_volume -5;;
  MUTE)		mplayer_mute;;
  TV)		mplayer_fullscreen;;
  MENU)		mplayer_window;;
  P.SIZE)	mplayer_ratio 1.33333;;
  DUALI-II)	mplayer_ratio 1.77778;;
  4)		mplayer_brightness_down;;
  5)		mplayer_brightness_up;;
  P.MODE)	shutdown -p now;;
  esac
done
mplayer_quit
